Package picard.vcf

# Enum Class VcfToIntervalList.VARIANT_ID_TYPES

java.lang.Object
java.lang.Enum<VcfToIntervalList.VARIANT_ID_TYPES>
picard.vcf.VcfToIntervalList.VARIANT_ID_TYPES

All Implemented Interfaces:
  `Serializable`, `Comparable<VcfToIntervalList.VARIANT_ID_TYPES>`, `Constable`

Enclosing class:
  `VcfToIntervalList`

public static enum VcfToIntervalList.VARIANT_ID_TYPES extends Enum<VcfToIntervalList.VARIANT_ID_TYPES>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONCAT_ALL`
`USE_FIRST`

## Method Summary

Modifier and Type
Method
Description
`static VcfToIntervalList.VARIANT_ID_TYPES`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VcfToIntervalList.VARIANT_ID_TYPES[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONCAT_ALL

public static final VcfToIntervalList.VARIANT_ID_TYPES CONCAT_ALL

### USE_FIRST

public static final VcfToIntervalList.VARIANT_ID_TYPES USE_FIRST

## Method Details

### values

public static VcfToIntervalList.VARIANT_ID_TYPES[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VcfToIntervalList.VARIANT_ID_TYPES valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null